org.apache.cassandra.cql3.hooks

## Class PreparationContext

- java.lang.Object
- - org.apache.cassandra.cql3.hooks.PreparationContext

    public class PreparationContext
    extends java.lang.Object

Contextual information about the preparation of a CQLStatement. Used by `PostPreparationHook`

### Field Summary

Fields
`java.util.List<ColumnSpecification>` `boundNames`
`ClientState` `clientState`
`java.lang.String` `queryString`

### Constructor Summary

Constructors
Constructor and Description
`PreparationContext(ClientState clientState, java.lang.String queryString, java.util.List<ColumnSpecification> boundNames)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clientState

    public final ClientState clientState

#### queryString

    public final java.lang.String queryString

#### boundNames

    public final java.util.List<ColumnSpecification> boundNames

### Constructor Detail

#### PreparationContext

    public PreparationContext(ClientState clientState,
                      java.lang.String queryString,
                      java.util.List<ColumnSpecification> boundNames)